package com.ruoyi.sy.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sy.mapper.SyVocationalHitsLackMapper;
import com.ruoyi.sy.domain.SyVocationalHitsLack;
import com.ruoyi.sy.service.ISyVocationalHitsLackService;

/**
 * 职业热度与紧缺Service业务层处理
 * 
 * @author mingxue
 * @date 2022-03-30
 */
@Service
public class SyVocationalHitsLackServiceImpl implements ISyVocationalHitsLackService 
{
    @Autowired
    private SyVocationalHitsLackMapper syVocationalHitsLackMapper;

    /**
     * 查询职业热度与紧缺
     * 
     * @param id 职业热度与紧缺ID
     * @return 职业热度与紧缺
     */
    @Override
    public SyVocationalHitsLack selectSyVocationalHitsLackById(Long id)
    {
        return syVocationalHitsLackMapper.selectSyVocationalHitsLackById(id);
    }

    /**
     * 查询职业热度与紧缺列表
     * 
     * @param syVocationalHitsLack 职业热度与紧缺
     * @return 职业热度与紧缺
     */
    @Override
    public List<SyVocationalHitsLack> selectSyVocationalHitsLackList(SyVocationalHitsLack syVocationalHitsLack)
    {
        return syVocationalHitsLackMapper.selectSyVocationalHitsLackList(syVocationalHitsLack);
    }

    /**
     * 新增职业热度与紧缺
     * 
     * @param syVocationalHitsLack 职业热度与紧缺
     * @return 结果
     */
    @Override
    public int insertSyVocationalHitsLack(SyVocationalHitsLack syVocationalHitsLack)
    {
        syVocationalHitsLack.setCreateTime(DateUtils.getNowDate());
        return syVocationalHitsLackMapper.insertSyVocationalHitsLack(syVocationalHitsLack);
    }

    /**
     * 修改职业热度与紧缺
     * 
     * @param syVocationalHitsLack 职业热度与紧缺
     * @return 结果
     */
    @Override
    public int updateSyVocationalHitsLack(SyVocationalHitsLack syVocationalHitsLack)
    {
        return syVocationalHitsLackMapper.updateSyVocationalHitsLack(syVocationalHitsLack);
    }

    /**
     * 批量删除职业热度与紧缺
     * 
     * @param ids 需要删除的职业热度与紧缺ID
     * @return 结果
     */
    @Override
    public int deleteSyVocationalHitsLackByIds(Long[] ids)
    {
        return syVocationalHitsLackMapper.deleteSyVocationalHitsLackByIds(ids);
    }

    /**
     * 删除职业热度与紧缺信息
     * 
     * @param id 职业热度与紧缺ID
     * @return 结果
     */
    @Override
    public int deleteSyVocationalHitsLackById(Long id)
    {
        return syVocationalHitsLackMapper.deleteSyVocationalHitsLackById(id);
    }
}
